Pterodactyldocs
Application nests

List nests

Retrieves all nests

Available include parameters

ParameterDescription
eggsList of eggs in the location
serversList of servers in the location
GET/api/application/nests

Authorization

ApplicationToken
AuthorizationBearer <token>

Application API key (generated at /admin/api)

In: header

Response Body

application/json

curl -X GET "https://example.com/api/application/nests"
{  "object": "list",  "data": [    {      "object": "nest",      "attributes": {        "id": 1,        "uuid": "58bde975-ec57-4af2-b241-1426ac6d6d59",        "author": "[email protected]",        "name": "Minecraft",        "description": "Minecraft - the classic game from Mojang. With support for Vanilla MC, Spigot, and many others!",        "created_at": "2019-12-22T04:42:51+00:00",        "updated_at": "2019-12-22T04:42:51+00:00"      }    },    {      "object": "nest",      "attributes": {        "id": 2,        "uuid": "5246d226-e8e8-46f5-b624-e99cf1a68c9a",        "author": "[email protected]",        "name": "Source Engine",        "description": "Includes support for most Source Dedicated Server games.",        "created_at": "2019-12-22T04:42:51+00:00",        "updated_at": "2019-12-22T04:42:51+00:00"      }    },    {      "object": "nest",      "attributes": {        "id": 3,        "uuid": "0eb05bf7-3a00-4b1d-bef5-a6d8d7375e44",        "author": "[email protected]",        "name": "Voice Servers",        "description": "Voice servers such as Mumble and Teamspeak 3.",        "created_at": "2019-12-22T04:42:51+00:00",        "updated_at": "2019-12-22T04:42:51+00:00"      }    },    {      "object": "nest",      "attributes": {        "id": 4,        "uuid": "e2a21c82-7175-4db0-9510-8d1ed525b2bf",        "author": "[email protected]",        "name": "Rust",        "description": "Rust - A game where you must fight to survive.",        "created_at": "2019-12-22T04:42:51+00:00",        "updated_at": "2019-12-22T04:42:51+00:00"      }    }  ],  "meta": {    "pagination": {      "total": 4,      "count": 4,      "per_page": 50,      "current_page": 1,      "total_pages": 1,      "links": {}    }  }}